Subject: Re: Multiple backslashes
From: Dmitry Bely <[email-masked]>
To: Randall R Schulz <[email-masked]>
Cc: [email-masked]
Date: 10 Feb 2002 22:46:50 +0300

Randall R Schulz <[email-masked]> writes:

> If your XEmacs is a Windows app and not a Cygwin one, then my caveats
> apply because it is another example of a Windows process initiating a
> Cygwin program.

It's not acceptable? How then to invoke the bash itself :-)

>  From the Cygwin FAQ:
> -==-
> How does wildcarding (globbing) work?
> 
> If the DLL thinks it was invoked from a DOS style prompt, it runs a
> `globber' over the arguments provided on the command line. This means
> that if you type LS *.EXE from DOS, it will do what you might expect.
> 
> 
> Beware: globbing uses malloc. If your application defines malloc, that
> will get used. This may do horrible things to you.
> 
> -==-

It has nothing to do with my case. There is no globs, just plain file names.

>  From the Cygwin User Guide (".../cygwin-ug-net/using-cygwinenv.html"):
> -==-
> (no)glob[:ignorecase] - if set, command line arguments containing
> UNIX-style file wildcard characters (brackets, question mark,
> asterisk, escaped with \) are expanded into lists of files that match
> those wildcards. This is applicable only to programs running from a
> DOS command line prompt. Default is set.
> 
> -==-

Again, no relation.

> So you see, you can tailor Cygwin's operations to your needs 

Don't see yet how to do that.

> (as, of course, you can alter XEmacs to your heart's content).
>
> Regardless of whether you consider this behavior a bug, it's one of
> the seams between the disparate environments (POSIX and Win32) that
> cannot be completely eradicated. I don't think you're going to get the
> Cygwin principals to agree that this is a bug. Obviously, it is a
> feature and what's more, a feature that you can control.

Which feature? If Win32 paths are not handled properly inside bash, e.g.

bash-2.05$ bash -c "c:/cygwin/bin/ls.exe"
 [ ... works ... ]
bash-2.05$ bash -c "c:\\\\cygwin\\\\bin\\\\ls.exe"
bash: c:\cygwin\bin\ls.exe: command not found
bash-2.05$

why do you call this "a feature"?

> Lastly, don't forget that you need not disable globbing globally. You
> can always have XEmacs alter the CYGWIN environment locally so it
> applies only to those sub-processes it initiates. Note that some
> CYGWIN environment variable options apply globally and are only
> consulted when the cygwin1.dll is loaded. I don't think this is one,
> but I'm not sure (and I hope you won't think me lazy for not tracking
> down that detail!).
> 
> 
> Case closed?

Not yet.

Hope to hear from you soon,
Dmitry

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/